PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package containable
  Definition Classes
    serverobject
- Containable
- ContainableBehavior
- ContainableMsg
- DeferrableMsg

o

net.psforever.objects.serverobject.containable

# Containable

###

#### object Containable

Source
  ContainableBehavior.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Containable
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  final case class CanNotPutItemInSlot(obj: PlanetSideServerObject with Container, item: Equipment, slot: Int) extends Product with Serializable

   A "failed insertion" response for the variety message of messages that attempt to insert an item into a container.

   A "failed insertion" response for the variety message of messages that attempt to insert an item into a container.

   obj

     the container

   item

     the equipment that was not inserted

   slot

     the slot position into which the item should have been inserted; `-1` if no insertion slot was reported in the original message or discovered in the process of inserting

2.  final case class ItemFromSlot(obj: PlanetSideServerObject with Container, item: Option[Equipment], slot: Option[Int]) extends Product with Serializable

   A response for the `RemoveItemFromSlot` message.

   A response for the `RemoveItemFromSlot` message. It serves the dual purpose of reporting a missing item (by not reporting any slot information) and reporting no item at a given position (by not reporting any item information).

   obj

     the container

   item

     the equipment that was removed

   slot

     the index position from which any item was removed

3.  final case class ItemPutInSlot(obj: PlanetSideServerObject with Container, item: Equipment, slot: Int, swapped_item: Option[Equipment]) extends Product with Serializable

   A "successful insertion" response for the variety message of messages that attempt to insert an item into a container.

   A "successful insertion" response for the variety message of messages that attempt to insert an item into a container.

   obj

     the container

   item

     the equipment that was inserted

   slot

     the slot position into which the item was inserted

   swapped_item

     any other item, previously in the container, that was displaced to make room for this insertion

4.  final case class MoveItem(destination: PlanetSideServerObject with Container, item: Equipment, destination_slot: Int) extends DeferrableMsg with Product with Serializable

   The item should already be contained by us.

   The item should already be contained by us. The item is being removed from our containment and placed into a fixed slot position in another container. `MoveItem` is a process that may be complicated and is one reason why `DeferrableMsg`s are employed.

   destination

     the container into which the item is being placed

   item

     the item

   destination_slot

     where in the destination container the item is being placed

5.  final case class PutItemAway(item: Equipment) extends DeferrableMsg with Product with Serializable
6.  final case class PutItemInSlot(item: Equipment, slot: Int) extends DeferrableMsg with Product with Serializable
7.  final case class PutItemInSlotOnly(item: Equipment, slot: Int) extends DeferrableMsg with Product with Serializable
8.  final case class PutItemInSlotOrAway(item: Equipment, slot: Option[Int]) extends DeferrableMsg with Product with Serializable
9.  final case class RemoveItemFromSlot(item: Option[Equipment], slot: Option[Int]) extends ContainableMsg with Product with Serializable

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
9.  final def getClass(): Class[_ <: AnyRef]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
14.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
16.  def toString(): String
    Definition Classes
      AnyRef → Any
17.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
18.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
19.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
20.  object RemoveItemFromSlot extends Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped